:root {
	--text-blue: 		#003399;
	--back-blue:		#3d66ff;
  --primary-blue: #00d4ff;
  --slate-header: #2c3e50;
  --slate-light: 	#34495e;
  --text-grey: 		#e0e0e0;
	--back-buff: 		#fffff0;
	--sepia: 	 			#ffffe6;
	--white:				#ffffff;
  --brown:   			#D2691E;
  --red:     			#FF0000;
  --orange:  			#FFa500;
  --yellow:  			#FFFF80;
  --green:   			#00e673;
  --blue:    			#00ccFF;
  --grey:    			#808080;
  --violet:  			#EE82EE;
	--silver:  			#c0c0c0;
	--gold:		 			#d3af37;
}

body {
  font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
  font-size: 20px;
  line-height: 1.6;
  color: var(--text-blue);
  background-color: var(--back-buff);
  margin: 0;
  padding: 0;
  display: block;
}

.page {
  max-width: 960px;
  margin: 0 auto 40px auto;
  padding: 0;
	position: relative;
}

.page-content {
  padding: 0 24px 24px 24px;
}

.narrow-content {
  max-width: 900px;   
  margin: 0 auto; 
  padding: 0; 
  width: 100%;
  text-align: left; 
}

.narrow-content ul, 
.narrow-content ol {
  display: block;
  list-style-position: outside;
  margin-top: 1rem;
  margin-bottom: 1rem;
  padding-left: 2rem; 
  margin-left: 0;
}

.narrow-content ul li {
  margin-bottom: 10px;
  padding-left: 0.5rem;
}

.site-header {
  position: sticky;
  top: 0;
  width: 960px;
  margin: 0 auto;
  background-color: var(--text-blue);
  z-index: 1000;
  display: flex;
  align-items: center;
  padding: 0px 24px;
  box-sizing: border-box;
  height: 96px;
}

.header-inner {
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 100%;
}

.site-title {
  color: var(--back-buff);
  font-size: 2.5em;
  font-weight: 700;
  font-style: italic;
  letter-spacing: 4px !important;
  text-transform: uppercase;
  margin-left: 36px;
  padding: 0;
  line-height: 1;
}

.nav-button {
  background-color: var(--text-blue) !important;
  border: 2px solid var(--back-buff) !important;
  border-radius: 4px;
  color: var(--back-buff) !important;
  padding: 8px 16px;
  text-decoration: none !important;
  font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
  font-weight: 700;
  text-transform: uppercase;
  cursor: pointer;
  display: inline-block;
  line-height: 1;
	margin-right: 36px;
}

.nav-button:hover {
  background-color: var(--back-buff) !important;
  color: var(--text-blue) !important;
  border-color: var(--back-buff) !important;
}

html {
  scroll-padding-top: 230px; /* Adjust this value to match your header's height */
}

h1 {
  position: -webkit-sticky;
  position: sticky;
  top: 95px;
  z-index: 999;
  width: 960px;
  margin-top: -10px !important;
  margin-bottom: 24 !important;
  margin-left: -24px !important; 
  margin-right: -24px !important;
  background-color: var(--text-blue);
  color: var(--primary-blue);
  font-family: 'Courier New', monospace;
  font-weight: 700;
  font-size: 2.5rem;
  text-align: center;
  letter-spacing: 1px;
  line-height: 1.2;
  padding: 12px 48px 30px 48px;
  box-sizing: border-box;
  display: block;
}

h1.narrow,
.h1-narrow {
  font-size: 2.2rem !important;
  letter-spacing: -1px !important;
}

h1.narrow-narrow,
.h1-narrow-narrow {
  font-size: 1.8rem !important;
  letter-spacing: -2px !important;
}

h2 {
  font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
  font-weight: 700;
  font-size: 2rem;
  letter-spacing: 2px;
  line-height: 1.2;
  margin-top: 24px;
  padding-bottom: 8px;
  position: relative;
  color: var(--text-blue);
}

h2.narrow,
.h2-narrow {
  font-size: 1.8rem !important;
  letter-spacing: 1px !important;
}

h2::after {
  content: "";         
  display: block;
  height: 5px;
  background: linear-gradient(to right, var(--text-blue), transparent);
  width: 100%; 
  margin-top: 8px;
}

h3 {
	font-size: 1.15em;
	text-decoration: underline;
	letter-spacing: 3px;
  color: var(--text-blue);
	margin-top: 1.2em;
	padding-bottom: 2px;
	font-style: italic
}

h4 {
	font-size: 1em;
	text-decoration: underline;
  color: var(--text-blue);
	margin-top: 0;
	margin-bottom: 4px;
}

strong {
  color: var(--text-blue);
  font-weight: 700;
}

a {
  color: var(--text-blue);
	font-weight: 700;
  text-decoration: underline;
  text-underline-offset: 4px;
}

a:visited {
  color: var(--electric-blue);
}

a:hover {
  color: var(--slate-header);
  text-decoration: none;
}

.hidden-link {
  color: inherit;          /* Matches the <h2> text color */
  text-decoration: none;   /* Removes the underline */
  cursor: text;            /* Prevents the mouse pointer from changing to a hand */
}

hr {
  border: none;
  height: 4px;
  background-color: var(--primary-blue);
  opacity: 1; 
  margin: 3rem 0;
  width: 100%;
}

table {
  width: 100%;
  max-width: 800px;
  margin: 30px auto;
  border-collapse: collapse;
  background-color: var(--back-buff);
  border: 3px solid var(--text-blue);
}

table th, 
table td {
  border: 1px solid #555555;
  padding: 10px;
  color: var(--text-blue);
}

table th {
  background-color: var(--sepia);
  color: var(--text-blue);
  font-weight: bold;
}
table caption {
  margin: 0;
  padding: 10px 0;
  font-weight: bold;
  text-align: center;
  color: #ffffff;
}

.blockquote {
	padding: 5px 20px;
	margin: 10px 0;
	border-left: 5px solid var(--primary-blue);
	border-right: 5px solid var(--primary-blue);	
	background-color: var(--sepia);
	font-style: italic;
	color: var(--text-blue);
	line-height: 1.4;
	font-weight: 600;
	letter-spacing: 0.5px;
}
.blockquote strong {
	text-shadow: 1px 1px 0px rgba(0, 0, 0, 0.2);
}

/* ---------- The Pillars (Left & Right Emphasis) ---------- */
.pillars {
  border-left: 10px solid var(--text-blue);
  border-right: 10px solid var(--text-blue);
  background-color: var(--sepia);
  padding: 20px 30px;
  margin: 40px auto;
  max-width: 900px;
	box-shadow: 0 -8px 10px -5px var(--primary-blue), 
              0 8px 10px -5px var(--primary-blue);
	font-size: 1.1em;
	font-weight: bold;
  font-style: italic;
  text-align: center;
}

/* ----- The Box (Technical Definition/Key Concept) ----- */
.box {
  border: 5px solid var(--text-blue);
  background-color: var(--sepia);
  padding: 20px;
  margin: 30px auto;
  max-width: 900px;
  border-radius: 8px;
  position: relative;
	text-align: left;
}
.box-strong {
	font-weight: 700;
}
.box.box-centered {
text-align: center;
}

.box-title {
  display: block;
  font-family: 'Courier New', monospace;
  font-weight: 700;
	font-size: 2em;
	letter-spacing: 5px;
	text-decoration: underline;
  text-transform: uppercase;	
  color: var(--text-blue);
	margin-top: -10px;
  margin-bottom: -6px;
}

.sidebar {
  display: block; 
  width: 100%;
  max-width: 900px;
  margin: 6px auto;
  background-color: var(--sepia);
  border-left: 5px solid var(--text-blue); 
  padding: 6px 25px;
  font-size: 1.1em;
  font-style: italic;
  color: var(--text-blue);
  box-sizing: border-box;
}

.sidebar p, 
.sidebar h3, 
.sidebar ul {
  margin: 0; 
  padding: 5px;
  line-height: 1.6;
}	

.funbar {
display: block;
width: 900px;
max-width: 95%;
margin: 30px auto;
border: 5px solid var(--gold);
border-radius: 15px; 
background-color:var(--back-blue);
padding: 20px;
color: var(--white);
text-shadow: 1px 1px 0px rgba(0, 0, 0, 0.8);
font-style: italic;
box-sizing: border-box;
clear: both;
}
.funbar strong {
  color: var(--white);
	text-shadow: 2px 2px 0px rgba(0, 0, 0, 0.8);
  font-weight: 700; /* Or 'bold' */
	letter-spacing: 2px;
  text-decoration: underline; /* Optional: adds extra emphasis in italic blocks */
}
.funbar-title
{
display: block;
text-align: center;
text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.9);
color: var(--gold);	
font-family: 'Courier New', monospace;
font-style: italic;
font-size: 2rem;
font-weight: bold;
letter-spacing: 5px;
text-transform: uppercase;
text-decoration: none !important;
margin-top: 0;
margin-bottom: 2px;
border-bottom: 4px solid var(--gold);
padding-bottom: 4px; 
}
.funbar-title-narrow {
  letter-spacing: 0px !important;
}
